al_draw_vertex_buffer(3)

NAME

al_draw_vertex_buffer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    int al_draw_vertex_buffer(ALLEGRO_VERTEX_BUFFER* vertex_buffer,
       ALLEGRO_BITMAP* texture, int start, int end, int type)

DESCRIPTION

Draws a subset of the passed vertex buffer. The vertex buffer must not be locked. Additionally, to draw onto memory bitmaps or with memory bitmap textures the vertex buffer must support reading (i.e. it must be created with the ALLEGRO_PRIM_BUFFER_READWRITE).

Parameters:

•   vertex_buffer - Vertex buffer to draw

•   texture - Texture to use, pass NULL to use only color shaded primitves

•   start - Start index of the subset of the vertex buffer to draw

•   end - One past the last index of the subset of the vertex buffer to draw

•   type - A member of the ALLEGRO_PRIM_TYPE(3) enumeration, specifying what kind of primitive to draw

Returns: Number of primitives drawn

SINCE

5.1.3

SEE ALSO

ALLEGRO_VERTEX_BUFFER(3), ALLEGRO_PRIM_TYPE(3)